# /roster create

Create a roster

## Options

| Name                    | Description                                                                |
| ----------------------- | -------------------------------------------------------------------------- |
| `clan`                  | Clan of the roster                                                         |
| `name`                  | Name of the roster                                                         |
| `category`              | Category of the roster                                                     |
| `import_members`        | Whether to import members from the clan                                    |
| `allow_unlinked`        | Whether to allow unlinked members                                          |
| `max_members`           | Roster size                                                                |
| `max_accounts_per_user` | Max accounts per user                                                      |
| `min_town_hall`         | Minimum Town Hall level                                                    |
| `max_town_hall`         | Maximum Town Hall level                                                    |
| `min_hero_level`        | Minimum combined Hero level                                                |
| `roster_role`           | Roster role                                                                |
| `sort_by`               | Sorting order of the roster member list                                    |
| `start_time`            | Roster start time (YYYY-MM-DD HH:mm, in 24 hours format)                   |
| `end_time`              | Roster end time (YYYY-MM-DD HH:mm, in 24 hours format)                     |
| `timezone`              | Search timezone by city or country (e.g. London, Singapore, India, Sydney) |
| `allow_group_selection` | Whether to allow members to select group                                   |
| `allow_multi_signup`    | Whether to allow multiple roster signups                                   |
| `use_clan_alias`        | Whether to use clan alias in the roster (created by /alias command)        |
| `roster_image_url`      | Image to be used in the roster embed                                       |
| `color_code`            | Hex color code of the roster embed                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clashperk.com/developer/commands/roster/create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
